diff -urN linux.05/include/linux/fs.h linux.05.diff/include/linux/fs.h
--- linux.05/include/linux/fs.h	Mon Jan 28 17:46:10 2002
+++ linux.05.diff/include/linux/fs.h	Mon Jan 28 17:48:21 2002
@@ -193,6 +193,8 @@
 #define FIGETBSZ   _IO(0x00,2)	/* get the block size used for bmap */
 
 #ifdef __KERNEL__
+#include <linux/aio.h>
+#include <linux/aio_abi.h>
 
 #include <asm/semaphore.h>
 #include <asm/byteorder.h>
@@ -845,6 +847,12 @@
 	/* in-kernel fully async api */
 	int (*kvec_read)(struct file *, kvec_cb_t, size_t, loff_t);
 	int (*kvec_write)(struct file *, kvec_cb_t, size_t, loff_t);
+
+	/* userland aio ops */
+	ssize_t (*aio_read)(struct file *, struct kiocb *, struct iocb);
+	ssize_t (*aio_readx)(struct file *, struct kiocb *, struct iocb);
+	ssize_t (*aio_write)(struct file *, struct kiocb *, struct iocb);
+	ssize_t (*aio_fsync)(struct file *, struct kiocb *, struct iocb);
 };
 
 struct inode_operations {
